Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortletDefinition

public interface PortletDefinition
extends PortalDefinition

The PortletDefinition EJB interface.

Method Summary
`java.lang.String` | `getAlternateFooterURL()` Get alternate footer URL.
`java.lang.String` | `getAlternateHeaderURL()` Get alternate header URL.
`java.lang.String` | `getBannerURL()` Get banner URL.
`int` | `getColumn()` Get the default column.
`java.lang.String` | `getEditURL()` Get edit URL.
`java.lang.String` | `getHelpURL()` Get help URL.
`java.lang.String` | `getIconURL()` Get icon URL.
`java.lang.String` | `getMaximizedURL()` Get maximized URL.
`int` | `getRow()` Get row.
`boolean` | `hasHelp()` Does the portlet have associated help?
`boolean` | `isEditable()` Is it editable?
`boolean` | `isFloatable()` Is it floatable?
`boolean` | `isLoginRequired()` Is login required?
`boolean` | `isMandatory()` Is it mandatory?
`boolean` | `isMaximizeable()` Is it maximizeable?
`boolean` | `isMinimizeable()` Is it minimizeable?
`boolean` | `isMinimized()` Is the portlet minimized?
`boolean` | `isMoveable()` Is it moveable?
`boolean` | `isVisible()` Is it visible?
`void` | `setAlternateFooterURL(java.lang.String aURL)` Set alternate footer URL.
`void` | `setAlternateHeaderURL(java.lang.String aURL)` Set alternate header URL.
`void` | `setBannerURL(java.lang.String aURL)` Set banner URL.
`void` | `setColumn(int aPos)` Set the default column.
`void` | `setEditable(boolean aBool)` Set editable flag.
`void` | `setEditURL(java.lang.String aURL)` Set edit URL.
`void` | `setFloatable(boolean aBool)` Set the floatable flag.
`void` | `setHelp(boolean aBool)` Does the portlet have associated help?
`void` | `setHelpURL(java.lang.String aURL)` Set help URL.
`void` | `setIconURL(java.lang.String aURL)` Set icon URL.
`void` | `setLoginRequired(boolean aBool)` Set login required flag.
`void` | `setMandatory(boolean aBool)` Set the mandatory flag.
`void` | `setMaximizeable(boolean aBool)` Set the maximizeable flag.
`void` | `setMaximizedURL(java.lang.String aURL)` Set maximized the URL.
`void` | `setMinimizeable(boolean aBool)` Set the minimizeable flag.
`void` | `setMinimized(boolean aBool)` Set the minimized flag.
`void` | `setMoveable(boolean aBool)` Set the moveable bit.
`void` | `setRow(int aPos)` Set row.
`void` | `setVisible(boolean aBool)` Set the visible flag.

Methods inherited from interface com.beasys.portal.ejb.PortalDefinition
`getContentColumnCount, getContentURL, getFooterURL, getHeaderURL, getName, getSuspendedURL, isSuspended, setContentColumnCount, setContentURL, setFooterURL, setHeaderURL, setSuspended, setSuspendedURL`

Methods inherited from interface com.beasys.portal.ejb.SimpleStringEJBObject
`getId`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### isMandatory

    public boolean isMandatory()
                        throws java.rmi.RemoteException

  Is it mandatory?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setMandatory

    public void setMandatory(boolean aBool)
                      throws java.rmi.RemoteException

  Set the mandatory flag.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isMoveable

    public boolean isMoveable()
                       throws java.rmi.RemoteException

  Is it moveable?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setMoveable

    public void setMoveable(boolean aBool)
                     throws java.rmi.RemoteException

  Set the moveable bit.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isLoginRequired

    public boolean isLoginRequired()
                            throws java.rmi.RemoteException

  Is login required?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setLoginRequired

    public void setLoginRequired(boolean aBool)
                          throws java.rmi.RemoteException

  Set login required flag.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isMinimizeable

    public boolean isMinimizeable()
                           throws java.rmi.RemoteException

  Is it minimizeable?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setMinimizeable

    public void setMinimizeable(boolean aBool)
                         throws java.rmi.RemoteException

  Set the minimizeable flag.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isMaximizeable

    public boolean isMaximizeable()
                           throws java.rmi.RemoteException

  Is it maximizeable?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setMaximizeable

    public void setMaximizeable(boolean aBool)
                         throws java.rmi.RemoteException

  Set the maximizeable flag.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isFloatable

    public boolean isFloatable()
                        throws java.rmi.RemoteException

  Is it floatable?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setFloatable

    public void setFloatable(boolean aBool)
                      throws java.rmi.RemoteException

  Set the floatable flag.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isVisible

    public boolean isVisible()
                      throws java.rmi.RemoteException

  Is it visible?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setVisible

    public void setVisible(boolean aBool)
                    throws java.rmi.RemoteException

  Set the visible flag.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### getMaximizedURL

    public java.lang.String getMaximizedURL()
                                     throws java.rmi.RemoteException

  Get maximized URL. Is there a different url when maximized?
  Returns:
    `String` the url.
  Throws:
    `RemoteException` - container error.

### setMaximizedURL

    public void setMaximizedURL(java.lang.String aURL)
                         throws java.rmi.RemoteException

  Set maximized the URL. Is there a different url when maximized?
  Parameters:
    `aURL` - the url.
  Throws:
    `RemoteException` - container error.

### getRow

    public int getRow()
               throws java.rmi.RemoteException

  Get row.
  Returns:
    `int` the row.
  Throws:
    `RemoteException` - container error.

### setRow

    public void setRow(int aPos)
                throws java.rmi.RemoteException

  Set row.
  Parameters:
    `aPos` - the row.
  Throws:
    `RemoteException` - container error.

### getColumn

    public int getColumn()
                  throws java.rmi.RemoteException

  Get the default column.
  Returns:
    `int` the column.
  Throws:
    `RemoteException` - container error.

### setColumn

    public void setColumn(int aPos)
                   throws java.rmi.RemoteException

  Set the default column.
  Parameters:
    `aPos` - the column.
  Throws:
    `RemoteException` - container error.

### getBannerURL

    public java.lang.String getBannerURL()
                                  throws java.rmi.RemoteException

  Get banner URL.
  Returns:
    `String` the url.
  Throws:
    `RemoteException` - container error.

### setBannerURL

    public void setBannerURL(java.lang.String aURL)
                      throws java.rmi.RemoteException

  Set banner URL.
  Parameters:
    `aURL` - the url.
  Throws:
    `RemoteException` - container error.

### getAlternateHeaderURL

    public java.lang.String getAlternateHeaderURL()
                                           throws java.rmi.RemoteException

  Get alternate header URL. This is used on the float and maximize.
  Returns:
    `String` the header url.
  Throws:
    `RemoteException` - container error.

### setAlternateHeaderURL

    public void setAlternateHeaderURL(java.lang.String aURL)
                               throws java.rmi.RemoteException

  Set alternate header URL. This is used on the float and maximize.
  Parameters:
    `aURL` - the header url.
  Throws:
    `RemoteException` - container error.

### getAlternateFooterURL

    public java.lang.String getAlternateFooterURL()
                                           throws java.rmi.RemoteException

  Get alternate footer URL. This is used on the float and maximize.
  Returns:
    `String` the footer url.
  Throws:
    `RemoteException` - container error.

### setAlternateFooterURL

    public void setAlternateFooterURL(java.lang.String aURL)
                               throws java.rmi.RemoteException

  Set alternate footer URL. This is used on the float and maximize.
  Parameters:
    `aURL` - the footer url.
  Throws:
    `RemoteException` - container error.

### getHelpURL

    public java.lang.String getHelpURL()
                                throws java.rmi.RemoteException

  Get help URL.
  Returns:
    `String` the help url.
  Throws:
    `RemoteException` - container error.

### setHelpURL

    public void setHelpURL(java.lang.String aURL)
                    throws java.rmi.RemoteException

  Set help URL.
  Parameters:
    `aURL` - the help url.
  Throws:
    `RemoteException` - container error.

### setHelp

    public void setHelp(boolean aBool)
                 throws java.rmi.RemoteException

  Does the portlet have associated help?
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### hasHelp

    public boolean hasHelp()
                    throws java.rmi.RemoteException

  Does the portlet have associated help?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### getIconURL

    public java.lang.String getIconURL()
                                throws java.rmi.RemoteException

  Get icon URL.
  Returns:
    `String` the icon url for the portlet.
  Throws:
    `RemoteException` - container error.

### setIconURL

    public void setIconURL(java.lang.String aURL)
                    throws java.rmi.RemoteException

  Set icon URL.
  Parameters:
    `aURL` - the url.
  Throws:
    `RemoteException` - container error.

### setMinimized

    public void setMinimized(boolean aBool)
                      throws java.rmi.RemoteException

  Set the minimized flag.
  Parameters:
    `aBool` - is it minimized.
  Throws:
    `RemoteException` - container error.

### isMinimized

    public boolean isMinimized()
                        throws java.rmi.RemoteException

  Is the portlet minimized?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### isEditable

    public boolean isEditable()
                       throws java.rmi.RemoteException

  Is it editable?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setEditable

    public void setEditable(boolean aBool)
                     throws java.rmi.RemoteException

  Set editable flag.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### getEditURL

    public java.lang.String getEditURL()
                                throws java.rmi.RemoteException

  Get edit URL.
  Returns:
    `String` the edit url.
  Throws:
    `RemoteException` - container error.

### setEditURL

    public void setEditURL(java.lang.String aURL)
                    throws java.rmi.RemoteException

  Set edit URL.
  Parameters:
    `aURL` - the edit url.
  Throws:
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved